<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>FlexBox</title>

        <style>
            html body {
                margin: 0;
                height: 100%;
            }

            .wrapper {
                position: relative;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                height: 100%;
            }

            wrapper header{
                height: 30%;
            }

            wrapper nav{
                height: 10%;
            }

            wrapper content{
                height: 50%;
            }

            wrapper footer{
                height: 10%;
            }

            .content {
                display: flex;
                flex-direction: row;
                justify-content: center;
                align-items: center;
                height: 100%;
            }

            .wrapper header,
            .wrapper nav,
            .wrapper nav,
            .content . main,
            .wrapper .content .left-side-bar
            .wrapper .content .right-side-bar
            .wrapper footer {
                border: black 1px solid;
            }
        </style>
    </head>

    <body>
        <div class="wrapper">
            <header></header>
            <nav></nav>

            <div class="content">
                <aside class="left-side-bar">

                </aside>

                <main>

                </main>

                <aside class="right-side-bar">

                </aside>

                <footer>

                </footer>
            </div>
        </div>
    </body>
</html>